Page MenuHomePhabricator

Wikispeech technical details and open questions
Closed, ResolvedPublic

Description

What is the session about?
Over the last year Wikimedia Sverige have been working on the Wikispeech extension with the aim of having this, together with it's companion TTS service, provide server side text-to-speech integrated into MediaWiki. We now have a working player and our aim is to take it to a Beta feature stage later this year. But as this is Wikimedia Sverige's first larger development project there may be issues which we have overlooked.

This session will focus on the technical details of the project and try to nail down any critical/still open questions and concerns which could prevent the extension and service form being deployed.

What will attendees take away from this session?

  • Better knowledge of how Wiksipeech works, how it should integrate into MediaWiki and what the blockers are for having it play nice with the rest of the stack.
  • Better understanding for us of any remaining issues/concerns with the extension and TTS service.

For workshops and discussions, what level is the intended audience?
Developers and engineers with experience of scaling extensions and services on the Wikimedia cluster.

Length of session
max 1 hour

Event Timeline

Lokal_Profil updated the task description. (Show Details)Aug 4 2017, 2:33 PM
Lokal_Profil updated the task description. (Show Details)Aug 7 2017, 1:59 PM
Lokal_Profil renamed this task from As of yet unnamed Wikispeech task to Wikispeech technical details and open questions.Aug 7 2017, 2:09 PM
Lokal_Profil moved this task from Backlog to Proposed Sessions on the Wikimania-Hackathon-2017 board.
Lokal_Profil moved this task from Backlog to This week on the User-LokalProfil board.
Lokal_Profil removed a subscriber: User-LokalProfil.

This session is now scheduled Thursday August 10 at 9 am in Salon 7.

Lokal_Profil updated the task description. (Show Details)Aug 9 2017, 10:55 PM
Lokal_Profil closed this task as Resolved.Sep 1 2017, 12:05 PM
Lokal_Profil claimed this task.
Lokal_Profil moved this task from This week to Done on the User-LokalProfil board.Jan 22 2018, 9:31 AM